Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-2016

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2004-2016
Last Modified 05 Sep 2008 04:42:58
Published 31 Dec 2004 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-2016

Summary

Stack-based buffer overflow in the HTTP server in NetChat 7.3 and earlier allows remote attackers to execute arbitrary code via a long GET request.

Vulnerable Systems

Application

  • Netchat Subnet Chat Application 7.0

  • Netchat Subnet Chat Application 7.1

  • Netchat Subnet Chat Application 7.2

  • Netchat Subnet Chat Application 7.3


References

BID - 10353

SECUNIA - 11637

XF - netchat-sprintf-bo(16165)

BUGTRAQ - 20040517 NetChat HTTP Server Stack Overflow


Last Updated: 27 May 2016 10:39:17